Subject: Re: [PATCH v12 net-next 0/9] add support for VSC7512 control over SPI

From: Colin Foster <[email-masked]>
Date: Tue, 5 Jul 2022 21:34:33 -0700

On Tue, Jul 05, 2022 at 10:56:26PM +0000, Vladimir Oltean wrote:
> On Wed, Jul 06, 2022 at 01:04:32AM +0300, Vladimir Oltean wrote:
> > You got some feedback at v11 (I believe) from Jakub about reposting too
> > soon. The phrasing was relatively rude and I'm not sure that you got the
> > central idea right. Large patch sets are generally less welcome when
> > submitted back to back compared to small ones, but they still need to be
> > posted frequent enough to not lose reviewers' attention. And small
> > fixups to fix a build as module are not going to make a huge difference
> > when reviewing, so it's best not to dig your own grave by gratuitously
> > bumping the version number just for a compilation fix. Again, replying
> > to your own patch saying "X was supposed to be Y, otherwise please go on
> > reviewing", may help.
> 
> I hope I'm not coming off as a know-it-all by saying this, and I didn't
> intend to make you feel bad. Ask me how do I know, and the answer will
> be by making the same mistakes, of course.

No worries, but thanks for the concern. I understand the v10 fiasco
was my fault - I'm alright with being put in my place. This is very much
a learning experience for me, so all this feedback helps.

And I also am recognizing a difference being past the RFC stage. The
changes are becoming more subtle, while the initial RFCs had pretty
significant rewrites / restructures. I'll be mindful of this going
forward, and call out any changes I come across in self-review.

> 
> Not sure if he's already on your radar, but you can watch and analyze
> the patches submitted by Russell King. For example the recent patch set
> for making phylink accept DSA CPU port OF nodes with no fixed-link or
> phy-handle. Perfect timing in resubmitting a new series when one was
> due, even when the previous one got no feedback whatsoever (which seems
> to be the hardest situation to deal with). You need to be able to take
> decisions even when you're doing so on your own, and much of that comes
> with experience.

I see the cadence of every 5-7 days or so seems to be the sweet spot. I
had thought this v13 would have been long enough since v12 (4 days) but
that seems to have been incorrect (understanding it was over a weekend).
I'll be more mindful of this in the future.